# nonSupplyAdvancePaymentEvent

Send NFe Event Type 112140 
(en) Function: Allows the supplier to inform that an advance payment has not been delivered.
(pt) Função: Permitir ao fornecedor informar que um pagamento antecipado não teve o respectivo fornecimento realizado.


`POST /v3/invoices/goods/{key}/non-supply-advance-payment`

**API:** AvaTax Brazil
**Tag:** Invoice Goods
**API Version:** 3.0
**Base URL:** https://avataxbr.sandbox.avalarabrasil.com.br

Source: https://developer.avalara.com/products/avatax-brazil/api/methods/Invoice%20Goods/nonSupplyAdvancePaymentEvent/

## Request Body

**Content-Type:** `application/json`
**Schema:** `nfeEvt_112140`

(en) Function: Delivery not made with advance payment
(pt) Função: Fornecimento não realizado com pagamento antecipado

| Property | Type | Required | Description |
|---|---|---|---|
| `companyLocation` | string | No | (en) This string contains a previously configured company code which may also have codes needed for tax return purposes. These codes are maintained through the customer portal. Main company address identity.
(pt) Essa string contém um código de empresa configurado anteriormente que também pode ter códigos necessários para fins de declaração de imposto. Esses códigos são mantidos através do portal do cliente. Identidade do endereço principal da empresa. |
| `dateTime` | string | No | (en) Event Date and Time, UTC format (YYYY-MM-DDThh:mm:ssTZD).
(pt) Data e Hora do Evento, formato UTC (AAAA-MM-DDThh:mm:ssTZD). |
| `tpEvent` | string | No |  Values: `112140`. |
| `seq` | number | No |  |
| `detEvent` | object | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | (en) Invoice Status
(pt) Status da nota | `eInvoiceReturnStatus` |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 429 |  |  |
| 500 |  |  |
| 503 |  |  |

### 200 Response: `eInvoiceReturnStatus`

| Property | Type | Required | Description |
|---|---|---|---|
| `desc` | string | No |  |
| `code` | string | No |  |
| `protocol` | string | No |  |
| `nfseNumber` | string | No |  |
| `nfseVerifyCode` | string | No |  |
| `authorizationDateTime` | string | No |  |

## Example Request

```bash
curl -X POST "https://avataxbr.sandbox.avalarabrasil.com.br/v3/invoices/goods/{key}/non-supply-advance-payment" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "companyLocation": "",
  "dateTime": "",
  "tpEvent": "",
  "seq": "",
  "detEvent": {
    "tpAutor": "",
    "eventDescription": "",
    "gItemNotProvided": [
      {
        "nItem": "",
        "vIBS": "",
        "vCBS": "",
        "gInventoryControl": {
          "qNotSupplied": "",
          "uNotSupplied": ""
        }
      }
    ]
  }
}'
```